| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::AlbumInfo Class Reference

A container class for transporting album information from the database to AlbumManager.

## Public Types
typedef QList< AlbumInfo > | List

## Public Member Functions
bool | isNull () const
bool | operator< (const AlbumInfo &info) const
| needed for sorting

## Public Attributes
int | albumRootId = 0
QString | caption
QString | category
QDate | date
qlonglong | iconId = 0
int | id = 0
QString | relativePath